package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;

/**
 * @author higa
 *  
 */
public class UpdateAutoStaticCommand extends AbstractAutoStaticCommand {

	public UpdateAutoStaticCommand(DataSource dataSource,
			BeanMetaData beanMetaData) {

		super(dataSource, beanMetaData);
	}

	protected AbstractAutoHandler createAutoHandler() {
		return new UpdateAutoHandler(getDataSource(), getBeanMetaData());
	}
}